RDS-DESCRIBE-EVENTS(1)

NAME
rds-describe-events - List events related to database instances

SYNOPSIS

 rds-describe-events
    [--duration value ] [--end-time value ] [--marker value ]
    [--max-records value ] [--source-identifier value ] [--source-type
    value ] [--start-time value ] [General Options]

DESCRIPTION

    Returns information about the events related to your database instances,
 DBSecurityGroups and DBParameterGroups

SPECIFIC OPTIONS

 --duration VALUE
    The time in minutes, defaulting to the previous hour's worth of events.
    To get all events that occurred in the past X minutes specify a
    --duration of X. The --duration parameter is ignored if --start-time or
    --end-time is specified.

 --end-time VALUE
    This parameter tells the end time until which you want your events. If
    the --start-time parameter and value is specified, then users would get
    events that occurred during that period. If no start time is specified,
    then the user will get events that occurred between 60 minutes prior to
    the end time and the end time.

 --source-identifier VALUE
    When used with --source-type, it restricts the events returned to a
    particular event source.

 --source-type VALUE
    Restrict the return to the type of the event source passed in. Examples
    of types include 'db-instance', 'db-security-group',
    'db-parameter-group', 'db-snapshot'.

 --start-time VALUE
    Begin time. By default, this will be the past 1 hour of events if neither
    --start-time nor --end-time are specified. Use the ISO8601 date format:
    e.g. 2009-03-31T10:00:00-08:00.

GENERAL OPTIONS

 --aws-credential-file VALUE
    Location of the file with your AWS credentials. Must not be specified in
    conjunction with --ec2-cert-file-path or --ec2-private-key-file-path.
    This value can be set by using the environment variable
    'AWS_CREDENTIAL_FILE'.

 -C, --ec2-cert-file-path VALUE
    Path to AWS X.509 certificate file. Must be specified in conjunction with
    --ec2-private-key-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_CERT'.

 --connection-timeout VALUE
    Specify a connection timeout VALUE (in seconds) for API calls. The
    default value is '30'.

 --debug
    If an error occurs while --debug is used, it will display information
    useful for debugging the problem. The default value is 'false'.

 --delimiter VALUE
    What delimiter to use when displaying delimited (long) results.

 --headers
    If you are displaying tabular or delimited results, it includes the
    column headers. If you are showing xml results, it returns the HTTP
    headers from the service request, if applicable. This is off by default.

 -I, --access-key-id VALUE
    Specify the AWS Access ID to use.

 -K, --ec2-private-key-file-path VALUE
    Path to AWS X.509 private key file. Must be specified in conjunction with
    --ec2-cert-file-path and must not be specified in conjunction with
    --aws-credential-file. This value can be set by using the environment
    variable 'EC2_PRIVATE_KEY'.

 --marker VALUE
    The marker provided in the previous request. If this parameter is
    specified the response includes only records beyond the marker, up to
    MaxRecords.

 --max-records VALUE
    Maximum number of records to return per page.

 --region VALUE
    Specify region VALUE as the web service region to use. This value can be
    set by using the environment variable 'EC2_REGION'.

 -S, --secret-key VALUE
    Specify the AWS Secret Key to use.

 --service-sig-name VALUE
    Specify the service name to use when signing requests. The default is
    "rds". This value can be set by using the environment variable
    'SERVICE_SIG_NAME'.

 --show-empty-fields
    Show empty fields and rows, using a "(nil)" value. The default is to not
    show empty fields or columns.

 --show-request
    Displays the URL used by the tools to call the AWS Service. The default
    value is 'false'.

 --show-table, --show-long, --show-xml, --quiet
    Specify how the results are displayed: tabular, delimited (long), xml, or
    no output (quiet). Tabular shows a subset of the data in fixed
    column-width form, while long shows all of the returned values delimited
    by a character. The xml is the raw return from the service, while quiet
    suppresses all standard output. The default is tabular, or 'show-table'.

 -U, --url VALUE
    This option will override the URL for the service call with VALUE. This
    value can be set by using the environment variable 'RDS_URL'.

INPUT EXAMPLES

 Example: Show all events with headers displayed

$PROMPT>rds-describe-events --headers

 Example: Show the events of 3/20/2009 in PDT. Note that the returned times
 are still in UTC.

$PROMPT>rds-describe-events --start-time 2009-03-20T00:00:00-08:00 --end-time 2009-03-20T23:59:59-08:00

 Example: Get only the events for DB Instance test001

$PROMPT>rds-describe-events --source-type db-instance --source-identifier test001

OUTPUT

 This command returns a table that contains the following:
 * Source Type - Type of event source.
 * Date - Database event date/time, in UTC.
 * Source Id - Identifier of the event source.
 * Message - Event description.

OUTPUT EXAMPLES

 Output with column headers

SEE ALSO
  http://docs.amazonwebservices.com/AmazonRDS/2012-09-17/CommandLineReference/
  http://docs.amazonwebservices.com/AmazonRDS/latest/CommandLineReference